@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;700&display=swap');
* {
    box-sizing: border-box;
}

html {
    font-size: 62.5%;
}

body {
    font-size: 1.6rem;
    font-family: 'Poppins', sans-serif;
}

/* common */

a:hover{
    text-decoration: none;
}

.line-clamp {
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;  
  overflow: hidden;
}

.line-clamp-1 {
    display: -webkit-box;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;  
    overflow: hidden;
  }
/* Navbar */

.navbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.navbar .logo-img {
    width: 100px;
    border-radius: 10px;
}
.navbar-collapse i {
    font-size: 1.8rem;
    width: 25px;
    height: 25px;
    display: flex;
    justify-content: center;
    color: black;
}
.navbar-collapse {
    display: flex;
    justify-content: flex-end;
}
.navbar-collapse.show {
    justify-content: center;
}
.navbar .navbar-toggler {
    background-color: black;
}
.navbar #icon-cart {
    position: relative;
}
.navbar #icon-cart span {
    position: absolute;
    bottom: -3px;
    right: -5px;

}
.navbar #icon-user {
    position: relative;
}
.navbar .user-info {
    position: absolute;
    display: flex;
    flex-direction: column;
    top: 40px;
    left: -75px;
    width: 140px;
    background: #fff;
    border-radius: 8px;
    border: 1px solid black;
    padding: 15px;
}
.navbar .user-info i {
    display: inline-block;
}
.navbar .user-info a {
    display:block;
    font-size: 1.6rem;
    color: black;
    margin-bottom: 15px;
}
.navbar .user-info .btn-signout{
    padding: 5px 10px;
    color: white;
    background: black;
    border-radius: 5px;
}
/* Path */
.path a {
    color: black;
}
/* Cart */

.cart {
    margin-top: 65px;
}

.cart .cart-list {
    margin-top: 30px;
}
.cart .cart-title .desc {
    font-size: 2.2rem;

}
.cart .cart-item{
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding-bottom: 8px;
}

.cart .cart-item .product-img {
    width: 100%;
    height: 150px;
    object-fit: cover;
    border-radius: 10px;
}

.cart .cart-item .product-name {
    font-size: 1.8rem;

}

.cart .cart-item .quantity {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    gap: 15px;
}
.cart .cart-item .quantity p {
    width: 15px;
}
.cart .cart-item .quantity i {
    padding: 5px;
    background-color: #ccc;
    border-radius: 999px;
    cursor: pointer;
}
.cart .cart-item .quantity .fa-ban {
    background-color: transparent;
    color: red;
}
.cart .btn-shop-now {
    margin-top: 10px;
    display: inline-block;
    padding: 5px 10px;
    color: white;
    background: black;
    border-radius: 5px;
}

.cart .checkout {
    margin-top: 15px;
    display: flex;
    justify-content: center;
}

.cart .btn-checkout {
    margin-top: 10px;
    display: inline-block;
    padding: 10px 15px;
    color: white;
    background: black;
}
.cart .comments textarea {
    margin-top: 15px;
    font-size: 1.6rem;
}

.cart .total label {
    margin-top: 10px;
    font-size: 1.6rem;
}
.cart .total input {
    margin-top: 5px;
    font-size: 1.6rem;
    color: #dc3545;
}
/* modal */
.modals {
    position: fixed;
    width: 100%;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    background: #cccccc46;
    display: flex;
    justify-content: center;
    align-items: center;
    animation: fadeOut 2s ease; 
    z-index: 99;
}

.modals .modal-body {
    padding: 20px;
    display: flex;
    flex-direction: column;
    gap: 10px;
}
.modals .modal-body .noti{
    font-size: 2rem;
    color: green;
}

.modals .modal-body .btn-shopping{
    margin-top: 20px;
    font-size: 1.8rem;
    padding: 5px 10px;
    color: #fff;
    font-weight : 600;
    background: black;
    cursor: pointer;
}
.modals .modal-body .fa-xmark {
    position: absolute;
    top: 5px;
    right: 10px;
    cursor: pointer;
}

/* User information */
.user-infor {
    position: fixed;
    top:0;
    bottom: 0;
    left: 0;
    right: 0;
    animation: fadeOut 1s ease;
    z-index: 99;
}
.user-infor .container {
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.user-infor .form-body {
    background-image: linear-gradient(75deg, #FFDEE9, #B5FFFC);
    padding: 40px;
    border-radius: 10px;
}
.user-infor .form-body .title {
    margin-top: 20px;
    font-size: 3rem;
    color: black;
}
.user-infor .form-body label {
    margin-top: 20px;
    font-size: 1.5rem;
    color: black;
    
}
.user-infor .form-body input {
    margin-top: 10px;
    font-size: 1.5rem;
    border-radius: 999px;
    padding: 15px 10px;
}
.user-infor .form-body .btn-place-order {
    text-transform: uppercase;
    margin-top: 15px;
    font-size: 1.6rem;
    padding: 10px 15px;
    background: black;
    color: white;
    border: 1.2px solid #ccc;
}
.user-infor .form-body i {
    font-size: 1.6rem;
    position: absolute;
    right: 20px;
    top: 20px;
    color: black;
    cursor: pointer;
}
/* Store */
.stores {
    margin-top: 65px;
}
.stores .title {
    font-size: 3rem;
}

.stores .store-list {
    margin-top: 20px;
}
.stores .store-item {
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: flex-start;
}
.store-list .store-title {
    width: 100%;
    font-size: 1.6rem;
    background: #dc3545;
    padding: 5px 10px;
    color: white;
    border-radius: 5px;
}
.store-list .address {
    color: rgb(139, 103, 56);
    margin-top: 15px;
    font-size: 1.5rem;
    padding: 5px 0;
    line-height: 1.3;
}
.store-list .phone {
    margin-top: 15px;
    font-size: 1.5rem;
    padding: 5px 0;
}
/* footer */
.footer {
    margin-top: 100px;
    padding-top: 100px;
    padding-bottom: 50px;
    background: #ccc;
}

.footer .footer-list {
    margin-top: 50px;
    display: flex;
    flex-direction: column;
    align-items: center;
}
.footer .footer-social{
margin-top: 120px;
}
.footer .footer-list .title {
    font-size: 2rem;
    font-weight: 600;
}

.footer .footer-list .desc {
    margin-top: 20px;
    font-size: 1.8rem;
    color: rgba(0, 0, 0, 0.658);
}
.footer .footer-social img{
    width: 150px;
    border-radius: 10px;
    object-fit: cover;
}

.footer .footer-social {
    display: flex;
    justify-content: flex-start;
    flex-direction: column;
    align-items: center;
}

.footer .social-block {
    margin-top: 20px;
    display: flex;
    justify-content: space-between;
    gap: 30px;
}
.footer .social-block a {
    font-size: 3rem;
    color: rgba(0, 0, 0, 0.8);
}

/* responsive */

@media only screen and (max-width: 992px) {
    .hero .info {
        flex-direction: column-reverse;
    }
    .hero .info img {
        width: 100%;
        height: 450px;
    }
    .hero .info .caption {
        width: 100%;
    }
}
@media only screen and (max-width: 768px) {
    .hero .info img {
        height: 300px;
    }
    .hero .info .caption .title {
        font-size: 3rem;
    }
    .cart .cart-title {
        display: none;
    }
    .cart .cart-item .product-name {
        font-size: 1.3rem;
    }
    .cart .cart-item .price {
        font-size: 1.3rem;
    }
}
@media only screen and (max-width: 567px) {
    /* Navbar */
    .navbar #icon-cart span{
        bottom: 13px ;   
        right: -20px ;   
    }
    /* Hero */
    .hero .info img {
        height: 250px;
    }
    .cart .cart-item .product-img {
        height: 80px;
    }
}